      PROGRAM PGM01
***********************************************************
*    PROGRAMMER: B. Alex Bridges
*    CLASS:      9:00AM
*    PROGRAM:    PGM01.F
*    DUE DATE:   01/14/99
*
* Program Description:
*    This program calculates the amount of a radioactive
*    substance that remains after a specified time, given
*    an initial amount and its half-life.
* Variables:
*    INIT   : initial amount of substance
*    HFLIFE : half-life of substance
*    TIME   : time at which the amount remaining is calculated
*    RESID  : amount remaining
* Input     : INIT, HFLIFE, and TIME
* Output    : RESID
***********************************************************
	REAL INIT, HFLIFE, TIME, RESID

* get values for INIT, HFLIFE, and TIME.

	PRINT *, 'Enter initial amount, half-life, and time'
	READ *, INIT, HFLIFE, TIME

* compute the residual amount for the given time.

	RESID = INIT * 0.5 ** (TIME/HFLIFE)

* display the residual amount.

	PRINT *, 'Amount Remaining = ', RESID

	END
